Unverified Commit 9fc3088f authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump futures from 0.3.14 to 0.3.15 (#3178)

Bumps [futures](https://github.com/rust-lang/futures-rs) from 0.3.14 to 0.3.15.
- [Release notes](https://github.com/rust-lang/futures-rs/releases)
- [Changelog](https://github.com/rust-lang/futures-rs/blob/master/CHANGELOG.md)
- [Commits](https://github.com/rust-lang/futures-rs/compare/0.3.14...0.3.15

)

---
updated-dependencies:
- dependency-name: futures
  dependency-type: direct:production
  update-type: version-update:semver-patch
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent 2661213b
Pipeline #141475 passed with stages
in 31 minutes and 19 seconds
This diff is collapsed.
......@@ -19,7 +19,7 @@ thiserror = "1.0.23"
structopt = { version = "0.3.21", optional = true }
wasm-bindgen = { version = "0.2.70", optional = true }
wasm-bindgen-futures = { version = "0.4.23", optional = true }
futures = "0.3.12"
futures = "0.3.15"
service = { package = "polkadot-service", path = "../node/service", default-features = false, optional = true }
polkadot-node-core-pvf = { path = "../node/core/pvf", optional = true }
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
polkadot-erasure-coding = { path = "../../erasure-coding" }
polkadot-node-primitives = { path = "../primitives" }
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.8"
futures = "0.3.15"
futures-timer = "3.0.2"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["bit-vec", "derive"] }
tracing = "0.1.26"
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
futures-timer = "3.0.2"
kvdb = "0.9.0"
thiserror = "1.0.23"
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
polkadot-primitives = { path = "../../../primitives" }
polkadot-node-primitives = { path = "../../primitives" }
......@@ -23,6 +23,6 @@ sp-application-crypto = { git = "https://github.com/paritytech/substrate", branc
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
sc-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-tracing = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = { version = "0.3.12", features = ["thread-pool"] }
futures = { version = "0.3.15", features = ["thread-pool"] }
assert_matches = "1.4.0"
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
polkadot-primitives = { path = "../../../primitives" }
polkadot-node-subsystem = { path = "../../subsystem" }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
async-trait = "0.1.42"
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
sp-maybe-compressed-blob = { package = "sp-maybe-compressed-blob", git = "https://github.com/paritytech/substrate", branch = "master" }
......@@ -23,7 +23,7 @@ polkadot-node-core-pvf = { path = "../pvf" }
[dev-dependencies]
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = { version = "0.3.12", features = ["thread-pool"] }
futures = { version = "0.3.15", features = ["thread-pool"] }
assert_matches = "1.4.0"
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
sp-blockchain = { git = "https://github.com/paritytech/substrate", branch = "master" }
polkadot-primitives = { path = "../../../primitives" }
......@@ -13,7 +13,7 @@ polkadot-subsystem = { package = "polkadot-node-subsystem", path = "../../subsys
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
[dev-dependencies]
futures = { version = "0.3.12", features = ["thread-pool"] }
futures = { version = "0.3.15", features = ["thread-pool"] }
maplit = "1.0.2"
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
futures-timer = "3.0.2"
tracing = "0.1.26"
thiserror = "1.0.23"
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
bitvec = { version = "0.20.1", default-features = false, features = ["alloc"] }
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
thiserror = "1.0.23"
polkadot-primitives = { path = "../../../primitives" }
......
......@@ -13,7 +13,7 @@ always-assert = "0.1"
async-std = { version = "1.8.0", features = ["attributes"] }
async-process = "1.0.1"
assert_matches = "1.4.0"
futures = "0.3.12"
futures = "0.3.15"
futures-timer = "3.0.2"
libc = "0.2.81"
slotmap = "1.0"
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
memory-lru = "0.1.0"
parity-util-mem = { version = "0.9.0", default-features = false }
......@@ -21,6 +21,6 @@ polkadot-node-subsystem-util = { path = "../../subsystem-util" }
[dev-dependencies]
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = { version = "0.3.12", features = ["thread-pool"] }
futures = { version = "0.3.15", features = ["thread-pool"] }
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
polkadot-node-primitives = { path = "../../primitives" }
......@@ -6,10 +6,10 @@ edition = "2018"
description = "Channels with attached Meters"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
futures-timer = "3.0.2"
derive_more = "0.99"
[dev-dependencies]
assert_matches = "1.4.0"
futures = { version = "0.3.12", features = ["thread-pool"] }
futures = { version = "0.3.15", features = ["thread-pool"] }
......@@ -11,7 +11,7 @@ polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
polkadot-primitives = { path = "../../../primitives" }
futures = "0.3.8"
futures = "0.3.15"
tracing = "0.1.26"
[dev-dependencies]
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
parity-scale-codec = { version = "2.0.0", features = ["std"] }
polkadot-primitives = { path = "../../../primitives" }
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
lru = "0.6.1"
rand = "0.8.3"
thiserror = "1.0.21"
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
polkadot-primitives = { path = "../../../primitives" }
polkadot-subsystem = { package = "polkadot-node-subsystem", path = "../../subsystem" }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
async-trait = "0.1.42"
futures = "0.3.12"
futures = "0.3.15"
tracing = "0.1.26"
polkadot-primitives = { path = "../../../primitives" }
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
always-assert = "0.1.2"
futures = "0.3.12"
futures = "0.3.15"
futures-timer = "3"
thiserror = "1.0.23"
tracing = "0.1.26"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment